Last Comment Bug 759033 - densify nsAccessible
: densify nsAccessible
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Trevor Saunders (:tbsaunde)
:
Mentors:
Depends on:
Blocks: densifya11y
  Show dependency treegraph
 
Reported: 2012-05-27 22:45 PDT by Trevor Saunders (:tbsaunde)
Modified: 2012-05-29 10:19 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
rename nsAccessible to Accessible (501.50 KB, patch)
2012-05-27 22:45 PDT, Trevor Saunders (:tbsaunde)
surkov.alexander: review+
Details | Diff | Splinter Review
rename sed script (172 bytes, text/plain)
2012-05-27 22:54 PDT, Trevor Saunders (:tbsaunde)
no flags Details

Description Trevor Saunders (:tbsaunde) 2012-05-27 22:45:31 PDT
Created attachment 627618 [details] [diff] [review]
rename nsAccessible to Accessible

I just ran for i in accessible/public/* accessible/src/**/*.cpp accessible/src/**/*.h layout/**/*.h layout/**/*.cpp widget/**/*.cpp widget/**/*.h; do sed -f rename.sed -i $i; done
with the sed script I'll attach in a minute and then hit makefiles and a few things my regexs caught by accident with a hammer till it built.  I'll push this to try now and see how much I broke on other platforms than linxu64.
Comment 1 Trevor Saunders (:tbsaunde) 2012-05-27 22:54:42 PDT
Created attachment 627619 [details]
rename sed script

incase nyone else finds this useful
Comment 2 alexander :surkov 2012-05-28 00:05:44 PDT
Comment on attachment 627618 [details] [diff] [review]
rename nsAccessible to Accessible

Review of attachment 627618 [details] [diff] [review]:
-----------------------------------------------------------------

stopped review at TableAccessible.h

::: accessible/public/nsIAccessibilityService.h
@@ +41,1 @@
>                                        nsIPresShell* aPresShell) = 0;

nit: wrong indent

@@ +52,1 @@
>                                                    bool aCanCreate) = 0;

nit: wrong indent

::: accessible/public/nsIAccessibleText.idl
@@ +6,4 @@
>  
>  #include "nsISupports.idl"
>  
> +typedef long AccessibleTextBoundary;

ok, not related though

::: accessible/src/atk/nsAccessibleWrap.cpp
@@ +131,3 @@
>       * via this object instance.
>       */
> +    AccessibleWrap* accWrap;

would you please indent it properly?

@@ +247,2 @@
>                     (void*)this, mAccWrapCreated,
>                    (mAccWrapCreated-mAccWrapDeleted)));

indent it?

@@ +259,2 @@
>                     (void*)this, mAccWrapDeleted,
>                     (mAccWrapCreated-mAccWrapDeleted)));

same

@@ +259,5 @@
>                     (void*)this, mAccWrapDeleted,
>                     (mAccWrapCreated-mAccWrapDeleted)));
>  }
>  
> +void AccessibleWrap::ShutdownAtkObject()

void on new line please

@@ +277,3 @@
>  {
>      ShutdownAtkObject();
> +    Accessible::Shutdown();

indent it?

@@ +280,3 @@
>  }
>  
> +MaiHyperlink* AccessibleWrap::GetMaiHyperlink(bool aCreate /* = true */)

return type on own line pls, here and below in this file

@@ +313,4 @@
>      }
>  }
>  
> +NS_IMETHODIMP AccessibleWrap::GetNativeInterface(void **aOutAccessible)

type* name

@@ +351,4 @@
>  // Get AtkObject from nsIAccessible interface
>  /* static */
>  AtkObject *
> +AccessibleWrap::GetAtkObject(nsIAccessible * acc)

same

@@ +600,4 @@
>  
>      /* initialize object */
>      MAI_ATK_OBJECT(aAtkObj)->accWrap =
> +        static_cast<AccessibleWrap*>(aData);

indent it?

@@ +764,2 @@
>  
>      return accWrap ? GetAttributeSet(accWrap) : nsnull;

indent it and no empty line between them?

@@ +955,3 @@
>      NS_ENSURE_SUCCESS(rv, rv);
>  
>      return FirePlatformEvent(aEvent);

indent pls?

@@ +964,5 @@
>      NS_ENSURE_TRUE(accessible, NS_ERROR_FAILURE);
>  
>      PRUint32 type = aEvent->GetEventType();
>  
> +    AtkObject *atkObj = AccessibleWrap::GetAtkObject(accessible);

type* name

@@ +1262,1 @@
>                                            AtkObject *aObject)

indent pls

@@ +1294,1 @@
>                                            AtkObject *aObject)

same and type* name

@@ +1335,1 @@
>                                         AtkObject *aObject, bool aIsAdded)

same

::: accessible/src/atk/nsAccessibleWrap.h
@@ +48,3 @@
>   * implementation of AtkObject.
>   */
> +class AccessibleWrap: public Accessible

nit: space before :

@@ +51,4 @@
>  {
>  public:
> +  AccessibleWrap(nsIContent* aContent, DocAccessible* aDoc);
> +    virtual ~AccessibleWrap();

wrong indent and below too

::: accessible/src/atk/ApplicationAccessibleWrap.cpp
@@ +521,4 @@
>  ApplicationAccessibleWrap::~ApplicationAccessibleWrap()
>  {
>      MAI_LOG_DEBUG(("======Destory AppRootAcc=%p\n", (void*)this));
> +    AccessibleWrap::ShutdownAtkObject();

indent pls

@@ +710,5 @@
>  {
>      if (!ApplicationAccessible::AppendChild(aChild))
>        return false;
>  
> +    AtkObject *atkAccessible = AccessibleWrap::GetAtkObject(aChild);

type* name

@@ +737,4 @@
>  {
>      PRInt32 index = aChild->IndexInParent();
>  
> +    AtkObject *atkAccessible = AccessibleWrap::GetAtkObject(aChild);

same

::: accessible/src/atk/AtkSocketAccessible.h
@@ +22,3 @@
>   * accessibles.
>   */
> +class AtkSocketAccessible: public AccessibleWrap

space before :

::: accessible/src/atk/nsMai.h
@@ +46,4 @@
>                                           MAI_TYPE_ATK_OBJECT, \
>                                           MaiAtkObjectClass))
>  GType mai_atk_object_get_type(void);
> +AccessibleWrap* GetAccessibleWrap(AtkObject *aAtkObj);

type* name

::: accessible/src/atk/nsMaiHyperlink.cpp
@@ +203,3 @@
>      NS_ENSURE_TRUE(anchor, nsnull);
>  
> +    AtkObject *atkObj = AccessibleWrap::GetAtkObject(anchor);

type* name

::: accessible/src/atk/nsMaiHyperlink.h
@@ +20,4 @@
>  class MaiHyperlink
>  {
>  public:
> +    MaiHyperlink(Accessible* aHyperLink);

indent pls

@@ +29,4 @@
>    { return mHyperlink && mHyperlink->IsLink() ? mHyperlink : nsnull; }
>  
>  protected:
> +    Accessible* mHyperlink;

samer

::: accessible/src/atk/nsMaiInterfaceAction.cpp
@@ +23,2 @@
>      if (!accWrap)
>          return FALSE;

indent pls?

@@ +43,5 @@
>  
>      nsAutoString description;
>      nsresult rv = accWrap->GetActionDescription(aActionIndex, description);
>      NS_ENSURE_SUCCESS(rv, nsnull);
> +    return AccessibleWrap::ReturnString(description);

indent?

@@ +56,5 @@
>  
>      nsAutoString autoStr;
>      nsresult rv = accWrap->GetActionName(aActionIndex, autoStr);
>      NS_ENSURE_SUCCESS(rv, nsnull);
> +    return AccessibleWrap::ReturnString(autoStr);

same?

::: accessible/src/atk/nsMaiInterfaceComponent.cpp
@@ +56,5 @@
>      aY += winCoords.y;
>    }
>  
> +  Accessible* accAtPoint = aAccWrap->ChildAtPoint(aX, aY,
> +                                                    Accessible::eDirectChild);

wrong indent

::: accessible/src/atk/nsMaiInterfaceEditableText.cpp
@@ +21,2 @@
>      if (!accWrap)
>          return FALSE;

indent pls?

@@ +41,2 @@
>      if (!accWrap)
>          return;

same?

@@ +61,2 @@
>      if (!accWrap)
>          return;

same? and below in this file

::: accessible/src/atk/nsMaiInterfaceHypertext.cpp
@@ +31,1 @@
>      NS_ENSURE_TRUE(accChild, nsnull);

indent them? and below in the file

::: accessible/src/atk/nsMaiInterfaceSelection.cpp
@@ +20,2 @@
>      if (!accWrap || !accWrap->IsSelect())
>          return FALSE;

indent here and below?

::: accessible/src/atk/nsMaiInterfaceTable.cpp
@@ +24,2 @@
>      if (!accWrap)
>          return nsnull;

indent here and below in the file?

@@ +34,4 @@
>      if (NS_FAILED(rv) || !cell)
>          return nsnull;
>  
> +    AtkObject *cellAtkObj = AccessibleWrap::GetAtkObject(cell);

type* name

::: accessible/src/atk/nsMaiInterfaceText.cpp
@@ +34,2 @@
>      if (!accWrap)
>          return nsnull;

indent here and below in the file?

::: accessible/src/atk/nsMaiInterfaceValue.cpp
@@ +18,2 @@
>      if (!accWrap)
>          return;

same in this file

::: accessible/src/base/AccIterator.h
@@ +68,4 @@
>  
>    struct IteratorState
>    {
> +    IteratorState(Accessible* aParent, IteratorState *mParentState = nsnull);

type* name

::: accessible/src/base/nsAccCache.h
@@ +33,4 @@
>   */
>  
>  static void
> +ClearCache(AccessibleHashtable & aCache)

type& name

@@ +61,4 @@
>   */
>  
>  static void
> +CycleCollectorTraverseCache(AccessibleHashtable & aCache,

same

::: accessible/src/base/nsAccTreeWalker.h
@@ +30,4 @@
>     *       rejected during tree creation then the caller should be unbind it
>     *       from the document.
>     */
> +  inline Accessible* NextChild()

nit: remove inline pls

::: accessible/src/base/nsAccUtils.h
@@ +136,1 @@
>                                               PRUint32 aRole);

extra space before method name and wrong indentation of second arg

@@ +145,1 @@
>                                                PRUint64 aState);

wrong indentation

::: accessible/src/base/nsAccessNode.cpp
@@ +35,4 @@
>   */
>   
>  ////////////////////////////////////////////////////////////////////////////////
> +// Accessible. nsISupports

AccessNode

::: accessible/src/base/nsAccessibilityService.cpp
@@ +184,4 @@
>  nsAccessibilityService::CreateHTMLButtonAccessible(nsIContent* aContent,
>                                                     nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +194,4 @@
>  nsAccessibilityService::CreateHTMLLIAccessible(nsIContent* aContent,
>                                                 nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +204,4 @@
>  nsAccessibilityService::CreateHyperTextAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +214,4 @@
>  nsAccessibilityService::CreateHTMLCheckboxAccessible(nsIContent* aContent,
>                                                       nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +224,4 @@
>  nsAccessibilityService::CreateHTMLComboboxAccessible(nsIContent* aContent,
>                                                       nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +234,4 @@
>  nsAccessibilityService::CreateHTMLCanvasAccessible(nsIContent* aContent,
>                                                     nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +244,4 @@
>  nsAccessibilityService::CreateHTMLFileInputAccessible(nsIContent* aContent,
>                                                        nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +274,4 @@
>  nsAccessibilityService::CreateHTMLGroupboxAccessible(nsIContent* aContent,
>                                                       nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +284,4 @@
>  nsAccessibilityService::CreateHTMLListboxAccessible(nsIContent* aContent,
>                                                      nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +294,4 @@
>  nsAccessibilityService::CreateHTMLMediaAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +337,4 @@
>      HWND pluginPort = nsnull;
>      aFrame->GetPluginPort(&pluginPort);
>  
> +    Accessible* accessible = 

same

@@ +373,4 @@
>  nsAccessibilityService::CreateHTMLRadioButtonAccessible(nsIContent* aContent,
>                                                          nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +383,4 @@
>  nsAccessibilityService::CreateHTMLTableAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +393,4 @@
>  nsAccessibilityService::CreateHTMLTableCellAccessible(nsIContent* aContent,
>                                                        nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +413,4 @@
>  nsAccessibilityService::CreateTextLeafAccessible(nsIContent* aContent,
>                                                   nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +423,4 @@
>  nsAccessibilityService::CreateHTMLTextFieldAccessible(nsIContent* aContent,
>                                                        nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +433,4 @@
>  nsAccessibilityService::CreateHTMLLabelAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +443,4 @@
>  nsAccessibilityService::CreateHTMLHRAccessible(nsIContent* aContent,
>                                                 nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +453,4 @@
>  nsAccessibilityService::CreateHTMLBRAccessible(nsIContent* aContent,
>                                                 nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +463,4 @@
>  nsAccessibilityService::CreateHTMLCaptionAccessible(nsIContent* aContent,
>                                                      nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +701,4 @@
>  nsAccessibilityService::GetStringStates(PRUint32 aState, PRUint32 aExtraState,
>                                          nsIDOMDOMStringList **aStringStates)
>  {
> +  AccessibleDOMStringList *stringStates = new AccessibleDOMStringList();

type* name

@@ +1643,1 @@
>                                                                    aDoc);

wrong indentation

@@ +1701,1 @@
>                                                                         aDoc);

wrong indentation

@@ +1817,1 @@
>                                                            roles::PROPERTYPAGE);

wrong indentation

::: accessible/src/base/nsAccessibilityService.h
@@ +61,1 @@
>                                                    bool aCanCreate);

wrong indentation

@@ +176,1 @@
>                                        bool* aIsSubtreeHidden = nsnull);

same

::: accessible/src/base/nsAccessiblePivot.cpp
@@ +148,1 @@
>                                  PRInt32 aStartOffset, PRInt32 aEndOffset)

wrong indentation

@@ +345,3 @@
>                                    nsIAccessibleTraversalRule* aRule,
>                                    bool aSearchCurrent,
>                                    nsresult* aResult)

wrong indentation

@@ +374,4 @@
>        *aResult = cache.ApplyFilter(accessible, &filtered);
>        NS_ENSURE_SUCCESS(*aResult, nsnull);
>  
> +      Accessible* lastChild;

= nsnull pls

@@ +406,3 @@
>                                   nsIAccessibleTraversalRule* aRule,
>                                   bool aSearchCurrent,
>                                   nsresult* aResult)

wrong indentation

@@ +463,1 @@
>                                        PRInt32 aOldStart, PRInt32 aOldEnd)

wrong indentation

::: accessible/src/base/nsAccessiblePivot.h
@@ +23,4 @@
>  /**
>   * Class represents an accessible pivot.
>   */
> +class AccessiblePivot: public nsIAccessiblePivot

space before : pls

btw, you rename the class but you don't rename the file

@@ +35,5 @@
>  
>    /*
>     * A simple getter for the pivot's position.
>     */
> +  Accessible* Position() { return mPosition; }

pls add const

@@ +62,3 @@
>                                nsIAccessibleTraversalRule* aRule,
>                                bool aSearchCurrent,
>                                nsresult* aResult);

wrong indentation

@@ +70,3 @@
>                                 nsIAccessibleTraversalRule* aRule,
>                                 bool aSearchCurrent,
>                                 nsresult* aResult);

same

::: accessible/src/base/nsBaseWidgetAccessible.h
@@ +33,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

::: accessible/src/base/nsCoreUtils.cpp
@@ +722,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleDOMStringList::GetLength(PRUint32 *aLength)

type* name

@@ +730,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleDOMStringList::Contains(const nsAString& aString, bool *aResult)

same

::: accessible/src/base/nsAccessible.cpp
@@ +107,5 @@
>  
> +NS_IMPL_ADDREF_INHERITED(Accessible, nsAccessNode)
> +NS_IMPL_RELEASE_INHERITED(Accessible, nsAccessNode)
> +
> +nsresult Accessible::QueryInterface(REFNSIID aIID, void** aInstancePtr)

return type on new line pls

@@ +198,5 @@
>    mRoleMapEntry = aRoleMapEntry;
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetDocument(nsIAccessibleDocument **aDocument)

type* name

@@ +208,4 @@
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetDOMNode(nsIDOMNode **aDOMNode)

same

@@ +221,4 @@
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetRootDocument(nsIAccessibleDocument **aRootDocument)

same

@@ +435,5 @@
>    return KeyBinding();
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetParent(nsIAccessible **aParent)

same

@@ +448,4 @@
>  
>    /* readonly attribute nsIAccessible nextSibling; */
>  NS_IMETHODIMP
> +Accessible::GetNextSibling(nsIAccessible **aNextSibling) 

same

@@ +463,4 @@
>  
>    /* readonly attribute nsIAccessible previousSibling; */
>  NS_IMETHODIMP
> +Accessible::GetPreviousSibling(nsIAccessible * *aPreviousSibling) 

same

@@ +478,4 @@
>  
>    /* readonly attribute nsIAccessible firstChild; */
>  NS_IMETHODIMP
> +Accessible::GetFirstChild(nsIAccessible **aFirstChild) 

same and below in this file

@@ +738,5 @@
>  
>    return nsnull;
>  }
>  
> +// Accessible::ChildAtPoint()

remove this comment pls

@@ +745,1 @@
>                             EWhichChildAtPoint aWhichChild)

wrong indentation

@@ +850,1 @@
>                                nsIAccessible **aAccessible)

wrong indentation

@@ +865,1 @@
>                                       nsIAccessible **aAccessible)

wrong indentation

@@ +874,4 @@
>    return NS_OK;
>  }
>  
> +void Accessible::GetBoundsRect(nsRect& aTotalBounds, nsIFrame** aBoundingFrame)

return type on own line

@@ +965,1 @@
>                          PRInt32* aWidth, PRInt32* aHeight)

wrong indentation

@@ +1004,4 @@
>    return NS_OK;
>  }
>  
> +NS_IMETHODIMP Accessible::SetSelected(bool aSelect)

ret type on own line

@@ +1031,4 @@
>    return NS_OK;
>  }
>  
> +NS_IMETHODIMP Accessible::TakeSelection()

same

@@ +1429,2 @@
>                              PRInt32 *aSimilarItemsInGroup,
>                              PRInt32 *aPositionInGroup)

wrong indentation

@@ +1729,4 @@
>  }
>  
>  /* void setName (in DOMString name); */
> +NS_IMETHODIMP Accessible::SetName(const nsAString& name)

return type on own line, name -> aName pls (btw please file gfb bug to remove this method)

@@ +1750,1 @@
>                               nsIDOMDOMStringList **aKeyBindings)

wrong indentation

@@ +1751,5 @@
>  {
>    // Currently we support only unique key binding on element for default action.
>    NS_ENSURE_TRUE(aActionIndex == 0, NS_ERROR_INVALID_ARG);
>  
> +  AccessibleDOMStringList *keyBindings = new AccessibleDOMStringList();

type* name

@@ +2235,4 @@
>  }
>  
>  // nsIAccessibleSelectable
> +NS_IMETHODIMP Accessible::GetSelectedChildren(nsIArray **aSelectedAccessibles)

ret type on own line

@@ +2255,4 @@
>  }
>  
>  // return the nth selected descendant nsIAccessible object
> +NS_IMETHODIMP Accessible::RefSelection(PRInt32 aIndex, nsIAccessible **aSelected)

ret type on own line, here and below

@@ +2456,1 @@
>                             PRUint32 aLength)

wrong indentation

::: accessible/src/base/nsAccessible.h
@@ +92,4 @@
>                       public nsIAccessible, 
>                       public nsIAccessibleHyperLink,
>                       public nsIAccessibleSelectable,
>                       public nsIAccessibleValue

wrong indentation

@@ +247,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

@@ +675,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation

@@ +758,4 @@
>     * @param  aStartNode  [in] the DOM node to start from
>     * @return              the resulting accessible
>     */
> +  Accessible* GetFirstAvailableAccessible(nsINode *aStartNode) const;

type* name

::: accessible/src/generic/ApplicationAccessible.h
@@ +27,4 @@
>   * the ApplicationAccessible instance.
>   */
>  
> +class ApplicationAccessible: public AccessibleWrap,

nit: space before :

@@ +81,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

@@ +95,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation

::: accessible/src/generic/DocAccessible.h
@@ +52,4 @@
>    NS_DECL_NSIACCESSIBLEPIVOTOBSERVER
>  
>  public:
> +  using Accessible::GetParent;

remove that, we aren't in conflict now

@@ +186,4 @@
>    /**
>     * Fire value change event on the given accessible if applicable.
>     */
> +  inline void MaybeNotifyOfValueChange(Accessible* aAccessible)

pls remove inlines here and below

::: accessible/src/generic/Makefile.in
@@ +27,5 @@
> +EXPORTS_NAMESPACES = mozilla/a11y
> +
> +EXPORTS_mozilla/a11y = \
> +	Accessible.h \
> +	$(null)

two spaces indentation as above?

::: accessible/src/generic/OuterDocAccessible.h
@@ +43,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation
Comment 3 alexander :surkov 2012-05-28 00:35:50 PDT
Comment on attachment 627618 [details] [diff] [review]
rename nsAccessible to Accessible

Review of attachment 627618 [details] [diff] [review]:
-----------------------------------------------------------------

::: accessible/public/nsIAccessibilityService.h
@@ +41,1 @@
>                                        nsIPresShell* aPresShell) = 0;

nit: wrong indent

@@ +52,1 @@
>                                                    bool aCanCreate) = 0;

nit: wrong indent

::: accessible/public/nsIAccessibleText.idl
@@ +6,4 @@
>  
>  #include "nsISupports.idl"
>  
> +typedef long AccessibleTextBoundary;

ok, not related though

::: accessible/src/atk/nsAccessibleWrap.cpp
@@ +131,3 @@
>       * via this object instance.
>       */
> +    AccessibleWrap* accWrap;

would you please indent it properly?

@@ +247,2 @@
>                     (void*)this, mAccWrapCreated,
>                    (mAccWrapCreated-mAccWrapDeleted)));

indent it?

@@ +259,2 @@
>                     (void*)this, mAccWrapDeleted,
>                     (mAccWrapCreated-mAccWrapDeleted)));

same

@@ +259,5 @@
>                     (void*)this, mAccWrapDeleted,
>                     (mAccWrapCreated-mAccWrapDeleted)));
>  }
>  
> +void AccessibleWrap::ShutdownAtkObject()

void on new line please

@@ +277,3 @@
>  {
>      ShutdownAtkObject();
> +    Accessible::Shutdown();

indent it?

@@ +280,3 @@
>  }
>  
> +MaiHyperlink* AccessibleWrap::GetMaiHyperlink(bool aCreate /* = true */)

return type on own line pls, here and below in this file

@@ +313,4 @@
>      }
>  }
>  
> +NS_IMETHODIMP AccessibleWrap::GetNativeInterface(void **aOutAccessible)

type* name

@@ +351,4 @@
>  // Get AtkObject from nsIAccessible interface
>  /* static */
>  AtkObject *
> +AccessibleWrap::GetAtkObject(nsIAccessible * acc)

same

@@ +600,4 @@
>  
>      /* initialize object */
>      MAI_ATK_OBJECT(aAtkObj)->accWrap =
> +        static_cast<AccessibleWrap*>(aData);

indent it?

@@ +764,2 @@
>  
>      return accWrap ? GetAttributeSet(accWrap) : nsnull;

indent it and no empty line between them?

@@ +955,3 @@
>      NS_ENSURE_SUCCESS(rv, rv);
>  
>      return FirePlatformEvent(aEvent);

indent pls?

@@ +964,5 @@
>      NS_ENSURE_TRUE(accessible, NS_ERROR_FAILURE);
>  
>      PRUint32 type = aEvent->GetEventType();
>  
> +    AtkObject *atkObj = AccessibleWrap::GetAtkObject(accessible);

type* name

@@ +1262,1 @@
>                                            AtkObject *aObject)

indent pls

@@ +1294,1 @@
>                                            AtkObject *aObject)

same and type* name

@@ +1335,1 @@
>                                         AtkObject *aObject, bool aIsAdded)

same

::: accessible/src/atk/nsAccessibleWrap.h
@@ +48,3 @@
>   * implementation of AtkObject.
>   */
> +class AccessibleWrap: public Accessible

nit: space before :

@@ +51,4 @@
>  {
>  public:
> +  AccessibleWrap(nsIContent* aContent, DocAccessible* aDoc);
> +    virtual ~AccessibleWrap();

wrong indent and below too

::: accessible/src/atk/ApplicationAccessibleWrap.cpp
@@ +521,4 @@
>  ApplicationAccessibleWrap::~ApplicationAccessibleWrap()
>  {
>      MAI_LOG_DEBUG(("======Destory AppRootAcc=%p\n", (void*)this));
> +    AccessibleWrap::ShutdownAtkObject();

indent pls

@@ +710,5 @@
>  {
>      if (!ApplicationAccessible::AppendChild(aChild))
>        return false;
>  
> +    AtkObject *atkAccessible = AccessibleWrap::GetAtkObject(aChild);

type* name

@@ +737,4 @@
>  {
>      PRInt32 index = aChild->IndexInParent();
>  
> +    AtkObject *atkAccessible = AccessibleWrap::GetAtkObject(aChild);

same

::: accessible/src/atk/AtkSocketAccessible.h
@@ +22,3 @@
>   * accessibles.
>   */
> +class AtkSocketAccessible: public AccessibleWrap

space before :

::: accessible/src/atk/nsMai.h
@@ +46,4 @@
>                                           MAI_TYPE_ATK_OBJECT, \
>                                           MaiAtkObjectClass))
>  GType mai_atk_object_get_type(void);
> +AccessibleWrap* GetAccessibleWrap(AtkObject *aAtkObj);

type* name

::: accessible/src/atk/nsMaiHyperlink.cpp
@@ +203,3 @@
>      NS_ENSURE_TRUE(anchor, nsnull);
>  
> +    AtkObject *atkObj = AccessibleWrap::GetAtkObject(anchor);

type* name

::: accessible/src/atk/nsMaiHyperlink.h
@@ +20,4 @@
>  class MaiHyperlink
>  {
>  public:
> +    MaiHyperlink(Accessible* aHyperLink);

indent pls

@@ +29,4 @@
>    { return mHyperlink && mHyperlink->IsLink() ? mHyperlink : nsnull; }
>  
>  protected:
> +    Accessible* mHyperlink;

samer

::: accessible/src/atk/nsMaiInterfaceAction.cpp
@@ +23,2 @@
>      if (!accWrap)
>          return FALSE;

indent pls?

@@ +43,5 @@
>  
>      nsAutoString description;
>      nsresult rv = accWrap->GetActionDescription(aActionIndex, description);
>      NS_ENSURE_SUCCESS(rv, nsnull);
> +    return AccessibleWrap::ReturnString(description);

indent?

@@ +56,5 @@
>  
>      nsAutoString autoStr;
>      nsresult rv = accWrap->GetActionName(aActionIndex, autoStr);
>      NS_ENSURE_SUCCESS(rv, nsnull);
> +    return AccessibleWrap::ReturnString(autoStr);

same?

::: accessible/src/atk/nsMaiInterfaceComponent.cpp
@@ +56,5 @@
>      aY += winCoords.y;
>    }
>  
> +  Accessible* accAtPoint = aAccWrap->ChildAtPoint(aX, aY,
> +                                                    Accessible::eDirectChild);

wrong indent

::: accessible/src/atk/nsMaiInterfaceEditableText.cpp
@@ +21,2 @@
>      if (!accWrap)
>          return FALSE;

indent pls?

@@ +41,2 @@
>      if (!accWrap)
>          return;

same?

@@ +61,2 @@
>      if (!accWrap)
>          return;

same? and below in this file

::: accessible/src/atk/nsMaiInterfaceHypertext.cpp
@@ +31,1 @@
>      NS_ENSURE_TRUE(accChild, nsnull);

indent them? and below in the file

::: accessible/src/atk/nsMaiInterfaceSelection.cpp
@@ +20,2 @@
>      if (!accWrap || !accWrap->IsSelect())
>          return FALSE;

indent here and below?

::: accessible/src/atk/nsMaiInterfaceTable.cpp
@@ +24,2 @@
>      if (!accWrap)
>          return nsnull;

indent here and below in the file?

@@ +34,4 @@
>      if (NS_FAILED(rv) || !cell)
>          return nsnull;
>  
> +    AtkObject *cellAtkObj = AccessibleWrap::GetAtkObject(cell);

type* name

::: accessible/src/atk/nsMaiInterfaceText.cpp
@@ +34,2 @@
>      if (!accWrap)
>          return nsnull;

indent here and below in the file?

::: accessible/src/atk/nsMaiInterfaceValue.cpp
@@ +18,2 @@
>      if (!accWrap)
>          return;

same in this file

::: accessible/src/base/AccIterator.h
@@ +68,4 @@
>  
>    struct IteratorState
>    {
> +    IteratorState(Accessible* aParent, IteratorState *mParentState = nsnull);

type* name

::: accessible/src/base/nsAccCache.h
@@ +33,4 @@
>   */
>  
>  static void
> +ClearCache(AccessibleHashtable & aCache)

type& name

@@ +61,4 @@
>   */
>  
>  static void
> +CycleCollectorTraverseCache(AccessibleHashtable & aCache,

same

::: accessible/src/base/nsAccTreeWalker.h
@@ +30,4 @@
>     *       rejected during tree creation then the caller should be unbind it
>     *       from the document.
>     */
> +  inline Accessible* NextChild()

nit: remove inline pls

::: accessible/src/base/nsAccUtils.h
@@ +136,1 @@
>                                               PRUint32 aRole);

extra space before method name and wrong indentation of second arg

@@ +145,1 @@
>                                                PRUint64 aState);

wrong indentation

::: accessible/src/base/nsAccessNode.cpp
@@ +35,4 @@
>   */
>   
>  ////////////////////////////////////////////////////////////////////////////////
> +// Accessible. nsISupports

AccessNode

::: accessible/src/base/nsAccessibilityService.cpp
@@ +184,4 @@
>  nsAccessibilityService::CreateHTMLButtonAccessible(nsIContent* aContent,
>                                                     nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +194,4 @@
>  nsAccessibilityService::CreateHTMLLIAccessible(nsIContent* aContent,
>                                                 nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +204,4 @@
>  nsAccessibilityService::CreateHyperTextAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +214,4 @@
>  nsAccessibilityService::CreateHTMLCheckboxAccessible(nsIContent* aContent,
>                                                       nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +224,4 @@
>  nsAccessibilityService::CreateHTMLComboboxAccessible(nsIContent* aContent,
>                                                       nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +234,4 @@
>  nsAccessibilityService::CreateHTMLCanvasAccessible(nsIContent* aContent,
>                                                     nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +244,4 @@
>  nsAccessibilityService::CreateHTMLFileInputAccessible(nsIContent* aContent,
>                                                        nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +274,4 @@
>  nsAccessibilityService::CreateHTMLGroupboxAccessible(nsIContent* aContent,
>                                                       nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +284,4 @@
>  nsAccessibilityService::CreateHTMLListboxAccessible(nsIContent* aContent,
>                                                      nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

space at the end of line

@@ +294,4 @@
>  nsAccessibilityService::CreateHTMLMediaAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +337,4 @@
>      HWND pluginPort = nsnull;
>      aFrame->GetPluginPort(&pluginPort);
>  
> +    Accessible* accessible = 

same

@@ +373,4 @@
>  nsAccessibilityService::CreateHTMLRadioButtonAccessible(nsIContent* aContent,
>                                                          nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +383,4 @@
>  nsAccessibilityService::CreateHTMLTableAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +393,4 @@
>  nsAccessibilityService::CreateHTMLTableCellAccessible(nsIContent* aContent,
>                                                        nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +413,4 @@
>  nsAccessibilityService::CreateTextLeafAccessible(nsIContent* aContent,
>                                                   nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +423,4 @@
>  nsAccessibilityService::CreateHTMLTextFieldAccessible(nsIContent* aContent,
>                                                        nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +433,4 @@
>  nsAccessibilityService::CreateHTMLLabelAccessible(nsIContent* aContent,
>                                                    nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +443,4 @@
>  nsAccessibilityService::CreateHTMLHRAccessible(nsIContent* aContent,
>                                                 nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +453,4 @@
>  nsAccessibilityService::CreateHTMLBRAccessible(nsIContent* aContent,
>                                                 nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +463,4 @@
>  nsAccessibilityService::CreateHTMLCaptionAccessible(nsIContent* aContent,
>                                                      nsIPresShell* aPresShell)
>  {
> +  Accessible* accessible = 

same

@@ +701,4 @@
>  nsAccessibilityService::GetStringStates(PRUint32 aState, PRUint32 aExtraState,
>                                          nsIDOMDOMStringList **aStringStates)
>  {
> +  AccessibleDOMStringList *stringStates = new AccessibleDOMStringList();

type* name

@@ +1643,1 @@
>                                                                    aDoc);

wrong indentation

@@ +1701,1 @@
>                                                                         aDoc);

wrong indentation

@@ +1817,1 @@
>                                                            roles::PROPERTYPAGE);

wrong indentation

::: accessible/src/base/nsAccessibilityService.h
@@ +61,1 @@
>                                                    bool aCanCreate);

wrong indentation

@@ +176,1 @@
>                                        bool* aIsSubtreeHidden = nsnull);

same

::: accessible/src/base/nsAccessiblePivot.cpp
@@ +148,1 @@
>                                  PRInt32 aStartOffset, PRInt32 aEndOffset)

wrong indentation

@@ +345,3 @@
>                                    nsIAccessibleTraversalRule* aRule,
>                                    bool aSearchCurrent,
>                                    nsresult* aResult)

wrong indentation

@@ +374,4 @@
>        *aResult = cache.ApplyFilter(accessible, &filtered);
>        NS_ENSURE_SUCCESS(*aResult, nsnull);
>  
> +      Accessible* lastChild;

= nsnull pls

@@ +406,3 @@
>                                   nsIAccessibleTraversalRule* aRule,
>                                   bool aSearchCurrent,
>                                   nsresult* aResult)

wrong indentation

@@ +463,1 @@
>                                        PRInt32 aOldStart, PRInt32 aOldEnd)

wrong indentation

::: accessible/src/base/nsAccessiblePivot.h
@@ +23,4 @@
>  /**
>   * Class represents an accessible pivot.
>   */
> +class AccessiblePivot: public nsIAccessiblePivot

space before : pls

btw, you rename the class but you don't rename the file

@@ +35,5 @@
>  
>    /*
>     * A simple getter for the pivot's position.
>     */
> +  Accessible* Position() { return mPosition; }

pls add const

@@ +62,3 @@
>                                nsIAccessibleTraversalRule* aRule,
>                                bool aSearchCurrent,
>                                nsresult* aResult);

wrong indentation

@@ +70,3 @@
>                                 nsIAccessibleTraversalRule* aRule,
>                                 bool aSearchCurrent,
>                                 nsresult* aResult);

same

::: accessible/src/base/nsBaseWidgetAccessible.h
@@ +33,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

::: accessible/src/base/nsCoreUtils.cpp
@@ +722,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleDOMStringList::GetLength(PRUint32 *aLength)

type* name

@@ +730,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleDOMStringList::Contains(const nsAString& aString, bool *aResult)

same

::: accessible/src/base/nsAccessible.cpp
@@ +107,5 @@
>  
> +NS_IMPL_ADDREF_INHERITED(Accessible, nsAccessNode)
> +NS_IMPL_RELEASE_INHERITED(Accessible, nsAccessNode)
> +
> +nsresult Accessible::QueryInterface(REFNSIID aIID, void** aInstancePtr)

return type on new line pls

@@ +198,5 @@
>    mRoleMapEntry = aRoleMapEntry;
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetDocument(nsIAccessibleDocument **aDocument)

type* name

@@ +208,4 @@
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetDOMNode(nsIDOMNode **aDOMNode)

same

@@ +221,4 @@
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetRootDocument(nsIAccessibleDocument **aRootDocument)

same

@@ +435,5 @@
>    return KeyBinding();
>  }
>  
>  NS_IMETHODIMP
> +Accessible::GetParent(nsIAccessible **aParent)

same

@@ +448,4 @@
>  
>    /* readonly attribute nsIAccessible nextSibling; */
>  NS_IMETHODIMP
> +Accessible::GetNextSibling(nsIAccessible **aNextSibling) 

same

@@ +463,4 @@
>  
>    /* readonly attribute nsIAccessible previousSibling; */
>  NS_IMETHODIMP
> +Accessible::GetPreviousSibling(nsIAccessible * *aPreviousSibling) 

same

@@ +478,4 @@
>  
>    /* readonly attribute nsIAccessible firstChild; */
>  NS_IMETHODIMP
> +Accessible::GetFirstChild(nsIAccessible **aFirstChild) 

same and below in this file

@@ +738,5 @@
>  
>    return nsnull;
>  }
>  
> +// Accessible::ChildAtPoint()

remove this comment pls

@@ +745,1 @@
>                             EWhichChildAtPoint aWhichChild)

wrong indentation

@@ +850,1 @@
>                                nsIAccessible **aAccessible)

wrong indentation

@@ +865,1 @@
>                                       nsIAccessible **aAccessible)

wrong indentation

@@ +874,4 @@
>    return NS_OK;
>  }
>  
> +void Accessible::GetBoundsRect(nsRect& aTotalBounds, nsIFrame** aBoundingFrame)

return type on own line

@@ +965,1 @@
>                          PRInt32* aWidth, PRInt32* aHeight)

wrong indentation

@@ +1004,4 @@
>    return NS_OK;
>  }
>  
> +NS_IMETHODIMP Accessible::SetSelected(bool aSelect)

ret type on own line

@@ +1031,4 @@
>    return NS_OK;
>  }
>  
> +NS_IMETHODIMP Accessible::TakeSelection()

same

@@ +1429,2 @@
>                              PRInt32 *aSimilarItemsInGroup,
>                              PRInt32 *aPositionInGroup)

wrong indentation

@@ +1729,4 @@
>  }
>  
>  /* void setName (in DOMString name); */
> +NS_IMETHODIMP Accessible::SetName(const nsAString& name)

return type on own line, name -> aName pls (btw please file gfb bug to remove this method)

@@ +1750,1 @@
>                               nsIDOMDOMStringList **aKeyBindings)

wrong indentation

@@ +1751,5 @@
>  {
>    // Currently we support only unique key binding on element for default action.
>    NS_ENSURE_TRUE(aActionIndex == 0, NS_ERROR_INVALID_ARG);
>  
> +  AccessibleDOMStringList *keyBindings = new AccessibleDOMStringList();

type* name

@@ +2235,4 @@
>  }
>  
>  // nsIAccessibleSelectable
> +NS_IMETHODIMP Accessible::GetSelectedChildren(nsIArray **aSelectedAccessibles)

ret type on own line

@@ +2255,4 @@
>  }
>  
>  // return the nth selected descendant nsIAccessible object
> +NS_IMETHODIMP Accessible::RefSelection(PRInt32 aIndex, nsIAccessible **aSelected)

ret type on own line, here and below

@@ +2456,1 @@
>                             PRUint32 aLength)

wrong indentation

::: accessible/src/base/nsAccessible.h
@@ +92,4 @@
>                       public nsIAccessible, 
>                       public nsIAccessibleHyperLink,
>                       public nsIAccessibleSelectable,
>                       public nsIAccessibleValue

wrong indentation

@@ +247,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

@@ +675,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation

@@ +758,4 @@
>     * @param  aStartNode  [in] the DOM node to start from
>     * @return              the resulting accessible
>     */
> +  Accessible* GetFirstAvailableAccessible(nsINode *aStartNode) const;

type* name

::: accessible/src/generic/ApplicationAccessible.h
@@ +27,4 @@
>   * the ApplicationAccessible instance.
>   */
>  
> +class ApplicationAccessible: public AccessibleWrap,

nit: space before :

@@ +81,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

@@ +95,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation

::: accessible/src/generic/DocAccessible.h
@@ +52,4 @@
>    NS_DECL_NSIACCESSIBLEPIVOTOBSERVER
>  
>  public:
> +  using Accessible::GetParent;

remove that, we aren't in conflict now

@@ +186,4 @@
>    /**
>     * Fire value change event on the given accessible if applicable.
>     */
> +  inline void MaybeNotifyOfValueChange(Accessible* aAccessible)

pls remove inlines here and below

::: accessible/src/generic/Makefile.in
@@ +27,5 @@
> +EXPORTS_NAMESPACES = mozilla/a11y
> +
> +EXPORTS_mozilla/a11y = \
> +	Accessible.h \
> +	$(null)

two spaces indentation as above?

::: accessible/src/generic/OuterDocAccessible.h
@@ +43,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

::: accessible/src/html/nsHTMLImageMapAccessible.h
@@ +72,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

::: accessible/src/html/nsHTMLSelectAccessible.cpp
@@ +71,4 @@
>  nsHTMLSelectListAccessible::SelectAll()
>  {
>    return mContent->HasAttr(kNameSpaceID_None, nsGkAtoms::multiple) ?
> +           AccessibleWrap::SelectAll() : false;

wrong indentation

@@ +77,5 @@
>  bool
>  nsHTMLSelectListAccessible::UnselectAll()
>  {
>    return mContent->HasAttr(kNameSpaceID_None, nsGkAtoms::multiple) ?
> +           AccessibleWrap::UnselectAll() : false;

wrong indentation

::: accessible/src/html/nsHyperTextAccessible.cpp
@@ +218,5 @@
>  nsHyperTextAccessible::GetPosAndText(PRInt32& aStartOffset, PRInt32& aEndOffset,
>                                       nsAString *aText, nsIFrame **aEndFrame,
>                                       nsIntRect *aBoundsRect,
> +                                     Accessible* *aStartAcc,
> +                                     Accessible* *aEndAcc)

type* name

@@ +837,2 @@
>                                                PRInt32 aOffset, PRInt32 *aStartOffset, PRInt32 *aEndOffset,
>                                                nsAString &aText)

return type on own line pls

@@ +1019,1 @@
>                                                           PRInt32 *aStartOffset, PRInt32 *aEndOffset, nsAString & aText)

same and 2 below

::: accessible/src/html/nsHyperTextAccessible.h
@@ +84,4 @@
>    /**
>     * Return link accessible at the given index.
>     */
> +  inline Accessible* GetLinkAt(PRUint32 aIndex)

remove inline? here and next one

@@ +138,3 @@
>                                            PRInt32 aNodeOffset,
>                                            PRInt32 *aHypertextOffset,
>                                            bool aIsEndOffset = false);

wrong indentation

@@ +342,5 @@
>                            nsAString *aText = nsnull,
>                            nsIFrame **aEndFrame = nsnull,
>                            nsIntRect *aBoundsRect = nsnull,
> +                          Accessible* *aStartAcc = nsnull,
> +                          Accessible* *aEndAcc = nsnull);

type* name

::: accessible/src/msaa/nsAccessibleWrap.cpp
@@ +71,5 @@
>  // IUnknown interface methods - see iunknown.h for documentation
>  //-----------------------------------------------------
>  
>  // Microsoft COM QueryInterface
> +STDMETHODIMP AccessibleWrap::QueryInterface(REFIID iid, void** ppv)

ret type on own line pls, here and below in this file

@@ +286,1 @@
>                                       BSTR __RPC_FAR *pszDescription)

wrong indentation

@@ +1016,1 @@
>                                 IAccessibleRelation **aRelation)

wrong indentation

@@ +1050,2 @@
>                                  IAccessibleRelation **aRelation,
>                                  long *aNRelations)

wrong indentation

@@ +1132,1 @@
>                                  long aX, long aY)

wrong indentation

@@ +1151,2 @@
>                                      long *aSimilarItemsInGroup,
>                                      long *aPositionInGroup)

wrong indentation

@@ +1269,2 @@
>                                       BSTR **aExtendedStates,
>                                       long *aNExtendedStates)

wrong indentation

@@ +1282,2 @@
>                                                BSTR **aLocalizedExtendedStates,
>                                                long *aNLocalizedExtendedStates)

wrong indentation

@@ +1439,1 @@
>                                  UINT cNames, LCID lcid, DISPID *rgDispId)

wrong indentation

@@ +1451,3 @@
>                           LCID lcid, WORD wFlags, DISPPARAMS *pDispParams,
>                           VARIANT *pVarResult, EXCEPINFO *pExcepInfo,
>                           UINT *puArgErr)

wrong indentation

@@ +1608,1 @@
>                                           BSTR *aIA2Attributes)

wrong indentation

::: accessible/src/msaa/nsAccessibleWrap.h
@@ +67,4 @@
>                           public ia2AccessibleComponent,
>                           public CAccessibleHyperlink,
>                           public CAccessibleValue,
>                           public IAccessible2

wrong indentation

::: accessible/src/msaa/CAccessibleText.cpp
@@ +79,1 @@
>                                                          aTextAttributes);

wrong indentation

::: accessible/src/xforms/nsXFormsFormControlsAccessible.cpp
@@ +119,4 @@
>  {
>  }
>  
> +NS_IMPL_ISUPPORTS_INHERITED3(nsXFormsInputAccessible, Accessible, nsHyperTextAccessible, nsIAccessibleText, nsIAccessibleEditableText)

maybe put each of them on own line?

::: accessible/src/xpcom/nsAccessibleRelation.cpp
@@ +15,1 @@
>                                             Relation* aRel) :

wrong indentation

@@ +34,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleRelation::GetTargetsCount(PRUint32 *aCount)

type* name pls

@@ +42,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleRelation::GetTarget(PRUint32 aIndex, nsIAccessible **aTarget)

same

@@ +52,4 @@
>  }
>  
>  NS_IMETHODIMP
> +AccessibleRelation::GetTargets(nsIArray **aTargets)

same

::: accessible/src/xpcom/nsAccessibleRelation.h
@@ +16,4 @@
>  /**
>   * Class represents an accessible relation.
>   */
> +class AccessibleRelation: public nsIAccessibleRelation

space before : pls

::: accessible/src/xul/nsXULTreeAccessible.cpp
@@ +1227,1 @@
>                                                 nsresult* aError) const

wrong indentation

::: accessible/src/xul/nsXULTreeAccessible.h
@@ +43,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

@@ +181,4 @@
>     * Return cell accessible for the given column. If XUL tree accessible is not
>     * accessible table then return null.
>     */
> +  virtual Accessible* GetCellAccessible(nsITreeColumn *aColumn)

type* name

@@ +198,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation

@@ +270,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation

::: accessible/src/xul/nsXULTreeGridAccessible.h
@@ +75,1 @@
>                                       EWhichChildAtPoint aWhichChild);

wrong indentation

@@ +78,4 @@
>    virtual PRUint32 ChildCount() const;
>  
>    // nsXULTreeItemAccessibleBase
> +  virtual Accessible* GetCellAccessible(nsITreeColumn *aColumn);

type* name

@@ +108,4 @@
>                                      public nsIAccessibleTableCell
>  {
>  public:
> +  using Accessible::GetParent;

remove it pls

@@ +167,1 @@
>                                             nsresult *aError = nsnull) const;

wrong indentation
Comment 4 Trevor Saunders (:tbsaunde) 2012-05-28 19:16:04 PDT
landed https://hg.mozilla.org/integration/mozilla-inbound/rev/ee5b6efa9bda
Comment 5 Ed Morley [:emorley] 2012-05-29 10:19:38 PDT
https://hg.mozilla.org/mozilla-central/rev/ee5b6efa9bda

Note You need to log in before you can comment on or make changes to this bug.